cpp-ethereum (cmake) fedora22

Hello. I can not cmake cpp-ethereum. I haven't LLVM 3.7 or 3.8 (max 3.5 in repo). I changed CmakeLists: llvm-config-3.7 >> llvm-config and get errors:

-- test: ClientBase | --eth_testfile=BlockTests/bcJS_API_Test --eth_threads=1; --eth_testfile=BlockTests/bcJS_API_Test --eth_threads=3; --eth_testfile=BlockTests/bcJS_API_Test --eth_threads=10; --eth_testfile=BlockTests/bcValidBlockTest --eth_threads=1; --eth_testfile=BlockTests/bcValidBlockTest --eth_threads=3; --eth_testfile=BlockTests/bcValidBlockTest --eth_threads=10
-- test: JsonRpc | --eth_testfile=BlockTests/bcJS_API_Test; --eth_testfile=BlockTests/bcValidBlockTest
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
MHD_LIBRARY (ADVANCED)
linked by target "jsconsole" in directory /home/station/test/cpp-ethereum/libjsconsole
linked by target "ethereum" in directory /home/station/test/cpp-ethereum/libethereum
linked by target "testutils" in directory /home/station/test/cpp-ethereum/libtestutils

-- Configuring incomplete, errors occurred!


Please help me
Sign In or Register to comment.